import Phaser from 'phaser';
import { BasePowerUp } from './BasePowerUp';

export class SlowMoPowerUp extends BasePowerUp {
  constructor(scene: Phaser.Scene, x: number, y: number) {
    super(scene, x, y, 'slowmo', 0xff44ff); // Purple
  }

  public applyEffect(_scene: Phaser.Scene): void {
    // Effect is handled by GameScene
  }

  public getDuration(): number {
    return 6000; // 6 seconds
  }
}
